digiKam Developer Documentation: Digikam::ThumbnailInfo Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Attributes | List of all members
Digikam::ThumbnailInfo Class Reference
Inheritance diagram for Digikam::ThumbnailInfo:

## Public Attributes
QString | customIdentifier
| A custom identifier, if neither filePath nor uniqueHash are applicable.
QString | fileName
| The file name (the name, not the directory)
qlonglong | fileSize = 0
bool | isAccessible = false
| If the original file is at all accessible on disk.
QString | mimeType
| The mime type of the original file.
QDateTime | modificationDate
| The modification date of the original file.
int | orientationHint = DMetadata::ORIENTATION_UNSPECIFIED
| Gives a hint at the orientation of the image.
QString | uniqueHash
| If available, the uniqueHash + fileSize pair for identification of the original file by content.
Public Attributes inherited from Digikam::ThumbnailIdentifier
QString | filePath
| The file path from which the thumbnail shall be generated.
qlonglong | id = 0
| The database id, which needs to be translated to uniqueHash + fileSize.

## Additional Inherited Members
Public Member Functions inherited from Digikam::ThumbnailIdentifier
| ThumbnailIdentifier (const QString &path)

## Member Data Documentation

## ◆ isAccessible

bool Digikam::ThumbnailInfo::isAccessible = false

May be false if a file on a removable device is used.

## ◆ mimeType

QString Digikam::ThumbnailInfo::mimeType

Currently "image" or "video" otherwise empty.

## ◆ modificationDate

QDateTime Digikam::ThumbnailInfo::modificationDate

Thumbnail will be regenerated if thumb's modification date is older than this.

## ◆ orientationHint

int Digikam::ThumbnailInfo::orientationHint = DMetadata::ORIENTATION_UNSPECIFIED

This can be used to supersede the Exif information in the file. Will not be used if DMetadata::ORIENTATION_UNSPECIFIED (default value)